Bug 1305805 (CVE-2016-1521) - CVE-2016-1521 graphite2: Out-of-bound read vulnerability triggered by crafted fonts
Summary: CVE-2016-1521 graphite2: Out-of-bound read vulnerability triggered by crafted...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-1521
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20160205,repo...
Depends On: 1305806 1309052 1309053
Blocks: 1305678
TreeView+ depends on / blocked
 
Reported: 2016-02-09 09:57 UTC by Adam Mariš
Modified: 2019-06-08 20:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A vulnerability has been discovered in Graphite2. An attacker able to trick an unsuspecting user into opening specially crafted font files in an application using Graphite2 could exploit these flaws to cause the application to crash or, potentially, execute arbitrary code with the privileges of the application.
Clone Of:
Environment:
Last Closed: 2016-06-01 19:20:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0197 normal SHIPPED_LIVE Critical: firefox security update 2016-02-16 15:37:09 UTC
Red Hat Product Errata RHSA-2016:0594 normal SHIPPED_LIVE Important: graphite2 security, bug fix, and enhancement update 2016-04-05 23:09:16 UTC

Description Adam Mariš 2016-02-09 09:57:36 UTC
An exploitable out-of-bound read vulnerability was found in the opcode handling functionality of Libgraphite. A specially crafted font can cause an out-of-bounds read resulting in arbitrary code execution. An attacker can provide a malicious font to trigger this vulnerability.

External References:

http://www.talosintel.com/reports/TALOS-2016-0058/

Comment 1 Adam Mariš 2016-02-09 09:57:56 UTC
Created graphite2 tracking bugs for this issue:

Affects: fedora-all [bug 1305806]

Comment 3 errata-xmlrpc 2016-02-16 10:41:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:0197 https://rhn.redhat.com/errata/RHSA-2016-0197.html

Comment 5 errata-xmlrpc 2016-04-05 19:09:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0594 https://rhn.redhat.com/errata/RHSA-2016-0594.html


Note You need to log in before you can comment on or make changes to this bug.